package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag103R;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT103REMITCreator;
import java.util.List;

public class Tag13CCreator extends AbsTagCreate {
    private MT103REMITCreator mt103RemitCreator;

    public Tag13CCreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt103RemitCreator = (MT103REMITCreator) absMTCreator;
    }

    @Override
    public void creator() {
        List<String> tag13CValue = mt103RemitCreator.getTimeIndication();
        if( tag13CValue != null ) { mt103RemitCreator.set("13C", tag13CValue, true); }
    }
}
